---
title: "Initiate DG correction"
url: "https://docs.signnow.com/docs/document-group/operations/post-v2-document-groups-document_group_id-invite-document_group_invite_id-correction"
type: "endpoint"
section: "document-group"
slug: "document-group/operations/post-v2-document-groups-document_group_id-invite-document_group_invite_id-correction"
method: "POST"
path: "/v2/document-groups/{dg_id}/invite/{dg_invite_id}/correction"
operation_id: "post-v2-document-groups-document_group_id-invite-document_group_invite_id-correction"
authorization: "bearer"
---

# Initiate DG correction

`POST /v2/document-groups/{dg_id}/invite/{dg_invite_id}/correction`

This endpoint allows users to initiate document group correction. After sending it, users can [change](/docs/document-group/operations/put-v2-document-groups-document_group_id-invite-document_group_invite_id-correction) the signers of the document group and the invite settings.

Document group cannot be corrected in the following cases:

* Invite is not in pending status
* Document group contains multirole fields.
* Document group is in a shared folder.
* Document group has conditional fields.
* Document group invite includes one or more email groups.
* Invite is embedded.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `dg_id` | string | Yes | ID of the document group. |
| `dg_invite_id` | string | Yes | ID of the document group invite. |

## Header Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `Content-Type` | string | No | application/json |

## Request Body

**Schema**

```json
{
  "type": "object",
  "required": [
    "client_timestamp"
  ],
  "properties": {
    "client_timestamp": {
      "type": "integer",
      "description": "The timestamp of when the correction mode has been initiated.",
      "x-stoplight": {
        "id": "h5wjik7o8ikuv"
      }
    }
  }
}
```

## Responses

### 204

Success, no content

### 400

* Group has a guest signer.
* Has signed documents.
* Group Invite is not pending.
* Group invite is embedded.
* Field invites with emails groups are present.
* Document group is already in a correction state.
* Document group contains multirole fields.
* Document group is in a shared folder.
* Document group has conditional fields.
* `client_timestamp` is not an integer.
* `client_timestamp` is out of the allowed range.
* `client_timestamp` is null.

**Example** (`Email group issue`)

```json
{
  "errors": [
    {
      "code": 19066005,
      "message": "Field invites with emails groups are present"
    }
  ]
}
```

**Example** (`DG in shared folder`)

```json
{
  "code": 19066008,
  "message": "Cannot initiate correction for DG in the shared folder."
}
```

**Example** (`Has signed documents`)

```json
{
  "errors": [
    {
      "code": 19066002,
      "message": "You can initiate correction mode, in case if no signer - signed documents"
    }
  ]
}
```

**Example** (`Embedded group invite`)

```json
{
  "errors": [
    {
      "code": 19066004,
      "message": "Invite should not be embedded"
    }
  ]
}
```

**Example** (`DG in correction state`)

```json
{
  "code": 19066005,
  "message": "Document Group is already in correction state"
}
```

**Example** (`DG with multirole fields`)

```json
{
  "code": 19066006,
  "message": "Document Group contains multirole fields"
}
```

**Example** (`Group has a guest signer`)

```json
{
  "errors": [
    {
      "code": 19066001,
      "message": "Could not initiate correction mode when guest signer present"
    }
  ]
}
```

**Example** (`Group invite not pending`)

```json
{
  "errors": [
    {
      "code": 19066003,
      "message": "Invite should be pending"
    }
  ]
}
```

**Example** (`client_timestamp is null`)

```json
{
  "code": 19070003,
  "message": "Client timestamp should not be null."
}
```

**Example** (`DG with conditional fields`)

```json
{
  "code": 19066009,
  "message": "Document group should not have conditional fields."
}
```

**Example** (`client_timestamp not integer`)

```json
{
  "code": 19070001,
  "message": "Client timestamp should be a integer."
}
```

**Example** (`client_timestamp out of range`)

```json
{
  "code": 19070002,
  "message": "The client timestamp should be between 0 and 4294967295."
}
```

### 403

User is not a document group owner

**Example** (`User is not a document group owner`)

```json
{
  "errors": [
    {
      "code": 19001010,
      "message": "Current user is not document group owner."
    }
  ]
}
```

### 404

Invite doesn't belong to this group

**Example** (`Invite doesn't belong to this group`)

```json
{
  "errors": [
    {
      "code": 19001011,
      "message": "Document group `{uniqueId}` not found."
    }
  ]
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X POST \
  "https://api.signnow.com/v2/document-groups/{dg_id}/invite/{dg_invite_id}/correction" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN" \
  -H "Content-Type: application/json"
```

---
*Full reference: https://docs.signnow.com/docs/document-group/operations/post-v2-document-groups-document_group_id-invite-document_group_invite_id-correction*
